﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Subtract 클래스 사용하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar1 = new Bar(this.tChart.Chart);

            bar1.FillSampleValues(8);

            Bar bar2 = new Bar(this.tChart.Chart);

            bar2.FillSampleValues(8);

            Subtract subtract = new Subtract();

            Line line = new Line(this.tChart.Chart);

            line.Pointer.Visible = true;
            line.Marks.Visible   = true;
            line.Function        = subtract;
            line.DataSource      = new object[] { bar1, bar2 };
        }

        #endregion
    }
}